#!/bin/bash

param=""

cat /sys/class/boardinfo/bootdevice_name | grep -q scsi && {
	ufs_device=$(cd /sys/devices/platform/soc/ && ls -d *ufs)
	param="-r ${ufs_device}"
}

type="-emu-rpmb"

if cat "/proc/cmdline" | grep -q "hobotboot.secureboot=1" && [ $((("0x$(provision_tool --debug_ctrl_read | awk '{print $2}')" >> 2) & 1)) -eq "0" ] && [ "$(provision_tool --get-lifecycle | awk '{print $2}')" -ge "4" ]; then
	type=""
fi

/usr/sbin/tee-supplicant${type} ${param}
